# Class: cCameraGroupMarkerSizeSettings

This class contains size properties of reconstructed 3D markers. The size of reconstructed marker is defined by its diameter (in mm), and an instance of this class can be assigned to a camera group. Use the [TT\_CameraGroupMarkerSize](/v2.3/developer-tools/motive-api/motive-api-function-reference.md#tt_cameragroupmarkersize) and [TT\_SetCameraGroupMarkerSize](/v2.3/developer-tools/motive-api/motive-api-function-reference.md#tt_setcameragroupmarkersize) Motive API functions for obtaining and assigning an instance of this class.

* MarkerSizeCalculated: This marker size type will calculate suitable diameter of a marker to be displayed.
* MarkerSizeFixed: This marker size type will override calculated diameter and assign a set diameter.
* MarkerSizeCount: Returns number of marker size types.

### Declaration: cCameraGroupMarkerSizeSettings

```
class TTAPI cCameraGroupMarkerSizeSettings
{
public:
    cCameraGroupMarkerSizeSettings();
    ~cCameraGroupMarkerSizeSettings();

    enum eMarkerSizeType
    {
        MarkerSizeCalculated,
        MarkerSizeFixed,
        MarkerSizeCount
    };

    eMarkerSizeType  MarkerSizeType;
    float            MarkerSize;
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.optitrack.com/v2.3/developer-tools/camera-sdk/camera-sdk-classes/class-ccameragroupmarkersizesettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
